"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ToolbarLinkPopup = void 0;
const tslib_1 = require("tslib");
const react_1 = tslib_1.__importStar(require("react"));
const uikit_1 = require("@gravity-ui/uikit");
const LinkForm_1 = require("../../../forms/LinkForm");
const placement = ['bottom-start', 'top-start', 'bottom-end', 'top-end'];
const ToolbarLinkPopup = ({ className, focus, onClick, anchorRef, formInitialText, formReadOnlyText, onSubmit, hide, }) => {
    const handleCancel = (0, react_1.useCallback)(() => {
        hide();
        focus();
    }, [focus, hide]);
    const handleSubmit = (0, react_1.useCallback)(({ url, text }) => {
        hide();
        focus();
        onSubmit(url, text);
        onClick === null || onClick === void 0 ? void 0 : onClick('addLink');
    }, [focus, hide, onClick, onSubmit]);
    return (react_1.default.createElement(uikit_1.Popup, { open: true, anchorRef: anchorRef, onClose: handleCancel, placement: placement, className: className },
        react_1.default.createElement(LinkForm_1.LinkForm, { autoFocus: true, onCancel: handleCancel, onSubmit: handleSubmit, initialText: formInitialText, readOnlyText: formReadOnlyText })));
};
exports.ToolbarLinkPopup = ToolbarLinkPopup;
