import React, { useCallback } from 'react';
import { Popup } from '@gravity-ui/uikit';
import { LinkForm } from '../../../forms/LinkForm';
const placement = ['bottom-start', 'top-start', 'bottom-end', 'top-end'];
export const ToolbarLinkPopup = ({ className, focus, onClick, anchorRef, formInitialText, formReadOnlyText, onSubmit, hide, }) => {
    const handleCancel = useCallback(() => {
        hide();
        focus();
    }, [focus, hide]);
    const handleSubmit = useCallback(({ url, text }) => {
        hide();
        focus();
        onSubmit(url, text);
        onClick === null || onClick === void 0 ? void 0 : onClick('addLink');
    }, [focus, hide, onClick, onSubmit]);
    return (React.createElement(Popup, { open: true, anchorRef: anchorRef, onClose: handleCancel, placement: placement, className: className },
        React.createElement(LinkForm, { autoFocus: true, onCancel: handleCancel, onSubmit: handleSubmit, initialText: formInitialText, readOnlyText: formReadOnlyText })));
};
